<%= form_with model: @task do |f| %>
  <div class="mb-3">
    <%= f.label :name, class: 'form-label' %>
    <%= f.text_field :name, class: "form-control#{@task.errors.messages[:name].any? ? ' is-invalid' : ''}" %>
    <div class="text-danger<%= @task.errors.messages[:name].any? ? '' : ' d-none' %>">
      <%= @task.errors.full_messages_for(:name).join(', ') %>
    </div>
  </div>
  <div class="mb-3">
    <%= f.label :description, class: 'form-label' %>
    <%= f.text_field :description, class: "form-control#{@task.errors.messages[:description].any? ? ' is-invalid' : ''}" %>
    <div class="text-danger<%= @task.errors.messages[:description].any? ? '' : ' d-none' %>">
      <%= @task.errors.full_messages_for(:description).join(', ') %>
    </div>
  </div>
  <div class="mb-3">
    <%= f.label :creator, class: 'form-label' %>
    <%= f.text_field :creator, class: "form-control#{@task.errors.messages[:creator].any? ? ' is-invalid' : ''}" %>
    <div class="text-danger<%= @task.errors.messages[:creator].any? ? '' : ' d-none' %>">
      <%= @task.errors.full_messages_for(:creator).join(', ') %>
    </div>
  </div>
  <div>
    <%= f.label :performer, class: 'form-label' %>
    <%= f.text_field :performer, class: "form-control#{@task.errors.messages[:performer].any? ? ' is-invalid' : ''}" %>
    <div class="text-danger<%= @task.errors.messages[:performer].any? ? '' : ' d-none' %>">
      <%= @task.errors.full_messages_for(:performer).join(', ') %>
    </div>
  </div>
  <div class="mt-5">
    <%= link_to 'Cancel', tasks_path, class: 'btn btn-danger' %>
    <%= f.submit class: 'btn btn-primary' %>
  </div>
<% end %>